## ros-indigo-pr2-gripper-sensor-controller 1.0.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pr2_gripper_sensor_controller)
find_package(catkin REQUIRED COMPONENTS pr2_controller_interface pr2_mechanism_model pr2_controllers_msgs realtime_tools pluginlib actionlib_msgs roscpp rosrt roslib std_msgs std_srvs pr2_gripper_sensor_msgs pr2_controller_manager)

include_directories(include
  ${catkin_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS})

catkin_package(
    DEPENDS pr2_controller_interface pr2_mechanism_model pr2_controllers_msgs realtime_tools pluginlib actionlib_msgs roscpp rosrt roslib std_msgs std_srvs pr2_gripper_sensor_msgs pr2_controller_manager
    CATKIN_DEPENDS # TODO
    INCLUDE_DIRS include # TODO include
    LIBRARIES # TODO
)

add_library(pr2_gripper_sensor_controller_lib
  src/digitalFilter.cpp
  src/pr2_gripper_sensor_controller.cpp
  src/pressure_observer.cpp
  src/acceleration_observer.cpp)

target_link_libraries(pr2_gripper_sensor_controller_lib ${catkin_LIBRARIES})
add_dependencies(pr2_gripper_sensor_controller_lib ${catkin_EXPORTED_TARGETS} rosrt rosrt_EXPORTED_TARGETS)

install(TARGETS pr2_gripper_sensor_controller_lib
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(FILES controller_plugins.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY launch include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-indigo-pr2-gripper-sensor-controller (1.0.9-0trusty) trusty; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Mon, 22 Jun 2015 04:00:00 -0000

ros-indigo-pr2-gripper-sensor-controller (1.0.8-0trusty) trusty; urgency=high

  * Fixed catkin install loc
  * Contributors: TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Tue, 02 Jun 2015 04:00:00 -0000

ros-indigo-pr2-gripper-sensor-controller (1.0.7-0trusty) trusty; urgency=high

  * Added launch file install
  * Contributors: TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Thu, 26 Mar 2015 04:00:00 -0000

ros-indigo-pr2-gripper-sensor-controller (1.0.6-0trusty) trusty; urgency=high

  * install controller_plugins.xml
  * add install settings for catkin_make pr2_gripper_sensor_controller
  * Contributors: John Hsu, Yuki Furuta

 -- Devon Ash <dash@clearpathrobotics.com>  Tue, 17 Mar 2015 04:00:00 -0000

ros-indigo-pr2-gripper-sensor-controller (1.0.5-0trusty) trusty; urgency=high

  * Removed the lib dir from sensor_controller
  * Add publish_skip parameter to supress high-frequency publishing of gripper sensor data
  * Contributors: Ryohei Ueda, TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Fri, 06 Feb 2015 05:00:00 -0000

ros-indigo-pr2-gripper-sensor-controller (1.0.4-0trusty) trusty; urgency=high

  * Added dependency on rosrt library and updated the CMake structure
  * Contributors: TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Mon, 03 Nov 2014 05:00:00 -0000

ros-indigo-pr2-gripper-sensor-controller (1.0.3-0trusty) trusty; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Thu, 18 Sep 2014 04:00:00 -0000

ros-indigo-pr2-gripper-sensor-controller (1.0.2-0trusty) trusty; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Wed, 10 Sep 2014 04:00:00 -0000

=== debian/control ===
Source: ros-indigo-pr2-gripper-sensor-controller
Section: misc
Priority: extra
Maintainer: Devon Ash <dash@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib-msgs, ros-indigo-catkin, ros-indigo-pluginlib, ros-indigo-pr2-controller-interface, ros-indigo-pr2-controller-manager, ros-indigo-pr2-controllers-msgs, ros-indigo-pr2-gripper-sensor-msgs, ros-indigo-pr2-mechanism-model, ros-indigo-realtime-tools, ros-indigo-roscpp, ros-indigo-roslib, ros-indigo-rosrt, ros-indigo-std-msgs, ros-indigo-std-srvs
Homepage: http://ros.org/wiki/pr2_gripper_sensor_controller
Standards-Version: 3.9.2

Package: ros-indigo-pr2-gripper-sensor-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib-msgs, ros-indigo-pluginlib, ros-indigo-pr2-controller-interface, ros-indigo-pr2-controller-manager, ros-indigo-pr2-controllers-msgs, ros-indigo-pr2-gripper-sensor-msgs, ros-indigo-pr2-mechanism-model, ros-indigo-realtime-tools, ros-indigo-roscpp, ros-indigo-roslib, ros-indigo-rosrt, ros-indigo-std-msgs, ros-indigo-std-srvs
Description: The pr2_gripper_sensor_controller package is a real-time controller that integrates signals from the PR2 hand-mounted accelerometer and finger-mounted pressure sensors with motor control of the gripper joint to do highly responsive sensing and low-latency closed-loop control.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-pr2-gripper-sensor-controller//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
